# GimpUi.prop_coordinates_new

    @accepts(GObject.Object, unicode, unicode, unicode, unicode, GimpUi.SizeEntryUpdatePolicy, float, float, bool)
    @returns(Gtk.Widget)
    def prop_coordinates_new(config, x_property_name, y_property_name, unit_property_name, unit_format, update_policy, xresolution, yresolution, has_chainbutton):
        # Python wrapper for gimp_prop_coordinates_new()

Creates a GimpUi.SizeEntry to set and display two double or int properties, which will usually represent X and Y coordinates, and their associated unit property.

Since 2.4

config

  Object to which property is attached.

x_property_name

  Name of int or double property for X coordinate.

y_property_name

  Name of int or double property for Y coordinate.

unit_property_name

  Name of unit property.

unit_format

  A printf-like unit-format string as is used with gimp_unit_menu_new().

update_policy

  How the automatic pixel <-> real-world-unit calculations should be done.

xresolution

  The resolution (in dpi) for the X coordinate.

yresolution

  The resolution (in dpi) for the Y coordinate.

has_chainbutton

  Whether to add a chainbutton to the size entry.

Returns